#! /bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin
CWD=`pwd`
KERNEL_DIR=/usr/src/sys

while : ; do
	clear
	echo -n "Shall we use high speed range (type YES or NO)? "
	read ANSWER
	echo
	ANSWER=`echo ${ANSWER} | awk '{ print toupper($0) }'`
	if [ "${ANSWER}" = "YES" -o "${ANSWER}" = "NO" ] ; then
		if [ "${ANSWER}" = "YES" ] ; then
			cat ${CWD}/st16c654.patch.in | \
				sed -e 's/COM_FREQ/COM_FREQ * 8/g' \
				> ${CWD}/st16c654.patch
			echo "We'll use high speed range (up to 921.6 kbit/s,"
			echo "how to set the jumper correctly - see the board manual)."
		else
			cat ${CWD}/st16c654.patch.in \
				> ${CWD}/st16c654.patch
			echo "We'll use standard speed range (up to 115.2 kbit/s,"
			echo "how to set the jumper correctly - see the board manual)."
		fi
		echo
		break
	fi
done

cd ${KERNEL_DIR}

for f in ${CWD}/*.patch ; do
	patch -p0 < $f
	if [ $? -eq 0 ]; then
		echo "`basename $f` was applied SUCCESSFULLY."
		echo
	else
		echo "`basename $f` FAILED!"
		echo
		exit 1
	fi
done

exit 0


